builtins/file/globus_xio_file_driver.h(3)

NAME
builtins/file/globus_xio_file_driver.h - XIO File Driver.

SYNOPSIS

#include 'globus_xio_system.h'

  Macros

#define GLOBUS_XIO_FILE_INVALID_HANDLE

  Enumerations

enum globus_xio_file_attr_cmd_t { GLOBUS_XIO_FILE_SET_MODE, GLOBUS_XIO_FILE_GET_MODE, GLOBUS_XIO_FILE_SET_FLAGS, GLOBUS_XIO_FILE_GET_FLAGS, GLOBUS_XIO_FILE_SET_TRUNC_OFFSET, GLOBUS_XIO_FILE_GET_TRUNC_OFFSET, GLOBUS_XIO_FILE_SET_HANDLE, GLOBUS_XIO_FILE_GET_HANDLE, GLOBUS_XIO_FILE_SET_BLOCKING_IO, GLOBUS_XIO_FILE_GET_BLOCKING_IO, GLOBUS_XIO_FILE_SEEK }
enum globus_xio_file_flag_t { GLOBUS_XIO_FILE_CREAT = O_CREAT, GLOBUS_XIO_FILE_EXCL = O_EXCL, GLOBUS_XIO_FILE_RDONLY = O_RDONLY, GLOBUS_XIO_FILE_WRONLY = O_WRONLY, GLOBUS_XIO_FILE_RDWR = O_RDWR, GLOBUS_XIO_FILE_TRUNC = O_TRUNC, GLOBUS_XIO_FILE_APPEND = O_APPEND, GLOBUS_XIO_FILE_BINARY = 0, GLOBUS_XIO_FILE_TEXT = 0 }
enum globus_xio_file_mode_t { GLOBUS_XIO_FILE_IRWXU = S_IRWXU, GLOBUS_XIO_FILE_IRUSR = S_IRUSR, GLOBUS_XIO_FILE_IWUSR = S_IWUSR, GLOBUS_XIO_FILE_IXUSR = S_IXUSR, GLOBUS_XIO_FILE_IRWXO = S_IRWXO, GLOBUS_XIO_FILE_IROTH = S_IROTH, GLOBUS_XIO_FILE_IWOTH = S_IWOTH, GLOBUS_XIO_FILE_IXOTH = S_IXOTH, GLOBUS_XIO_FILE_IRWXG = S_IRWXG, GLOBUS_XIO_FILE_IRGRP = S_IRGRP, GLOBUS_XIO_FILE_IWGRP = S_IWGRP, GLOBUS_XIO_FILE_IXGRP = S_IXGRP }
enum globus_xio_file_whence_t { GLOBUS_XIO_FILE_SEEK_SET = SEEK_SET, GLOBUS_XIO_FILE_SEEK_CUR = SEEK_CUR, GLOBUS_XIO_FILE_SEEK_END = SEEK_END }

  Functions

globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_FILE_SET_MODE, int mode)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_FILE_GET_MODE, int *mode_out)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_FILE_SET_FLAGS, int flags)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_FILE_GET_FLAGS, int *flags_out)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_FILE_SET_TRUNC_OFFSET, globus_off_t offset)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_FILE_GET_TRUNC_OFFSET, globus_off_t *offset_out)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_FILE_SET_HANDLE, globus_xio_system_file_t handle)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_FILE_GET_HANDLE, globus_xio_system_file_t *handle_out)
globus_result_t globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_FILE_GET_HANDLE, globus_xio_system_file_t *handle_out)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_FILE_SET_BLOCKING_IO, globus_bool_t use_blocking_io)
globus_result_t globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_FILE_SET_BLOCKING_IO, globus_bool_t use_blocking_io)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_FILE_GET_BLOCKING_IO, globus_bool_t *use_blocking_io_out)
globus_result_t globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_FILE_GET_BLOCKING_IO, globus_bool_t *use_blocking_io_out)
globus_result_t globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_FILE_SEEK, globus_off_t *in_out_offset, globus_xio_file_whence_t whence)

Detailed Description

XIO File Driver.

Author

Generated automatically by Doxygen for globus_xio from the source code.